Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0020891
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformcriticalalways2012-06-28 15:232012-07-10 10:35
ReporterplujanView Statuspublic 
Assigned Tomirurita 
PriorityimmediateResolutionfixedFixed in Version3.0MP12.1
StatusclosedFix in branchFixed in SCM revision54fb97e8175d
ProjectionnoneETAnoneTarget Version3.0MP12.1
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product Version3.0MP12SCM revision 
Review Assigned To
Web browserGoogle Chrome, Mozilla Firefox
ModulesCore
Regression levelProduction - QA Approved
Regression date2011-03-30
Regression introduced in release
Regression introduced by commit
Triggers an Emergency Packyes
Summary

0020891: It is not possible to upgrade from 2.50 MP43 to 3.0 MP12

DescriptionAfter getting to 3.0 MP12 from a 2.50 MP43 the rebuilding stage fails because a build validation.
Steps To ReproduceTake a 2.50 MP43 and upgrade it to 3.0 MP12
TagsNo tags attached.
Attached Filespng file icon 250MP43_to_30mp12.png [^] (145,533 bytes) 2012-06-28 15:23

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0020350 closedmirurita Multiple API Changes in Accounting Tabs 

-  Notes
(0050258)
hgbot (developer)
2012-06-28 16:35

Repository: erp/devel/pi
Changeset: 54fb97e8175d336fccfc7a29b0fbc618ffb4ec02
Author: Mikel Irurita <mikel.irurita <at> openbravo.com>
Date: Thu Jun 28 16:33:26 2012 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/54fb97e8175d336fccfc7a29b0fbc618ffb4ec02 [^]

Fixes issue 20891: not possible to upgrade from 2.50 MP43 to 3.0 MP12

---
M src-util/buildvalidation/build/classes/org/openbravo/buildvalidation/AccountingTabs.class
M src-util/buildvalidation/build/classes/org/openbravo/buildvalidation/AccountingTabsData.class
M src-util/buildvalidation/src/org/openbravo/buildvalidation/AccountingTabs.java
M src-util/buildvalidation/src/org/openbravo/buildvalidation/AccountingTabs_data.xsql
---
(0050280)
plujan (manager)
2012-06-29 11:09

Although regression date is 2011, the wrong behaviour was not exposed until last month, that is why the regression level keeps in QA Approved.
(0050293)
hudsonbot (developer)
2012-06-30 05:10

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/ce760b148e29 [^]

Maturity status: Test
(0050308)
hgbot (developer)
2012-07-02 11:19

Repository: erp/devel/pi
Changeset: a4d3cc40e39fe14b64e165f667d27491287adb32
Author: Víctor Martínez Romanos <victor.martinez <at> openbravo.com>
Date: Mon Jul 02 11:16:42 2012 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/a4d3cc40e39fe14b64e165f667d27491287adb32 [^]

Issue 20891: new AccountingTabsData.class version
New compilation of the AccountingTabsData.class to synchronize with the code

---
M src-util/buildvalidation/build/classes/org/openbravo/buildvalidation/AccountingTabsData.class
---
(0050309)
vmromanos (developer)
2012-07-02 11:23

Code review + testing OK.
(0050416)
hudsonbot (developer)
2012-07-10 10:35

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/9f5eedec4e1a [^]

Maturity status: Test

- Issue History
Date Modified Username Field Change
2012-06-28 15:23 plujan New Issue
2012-06-28 15:23 plujan Assigned To => alostale
2012-06-28 15:23 plujan File Added: 250MP43_to_30mp12.png
2012-06-28 15:23 plujan Web browser => Google Chrome, Mozilla Firefox
2012-06-28 15:23 plujan Modules => Core
2012-06-28 15:26 plujan Web browser Google Chrome, Mozilla Firefox => Google Chrome, Mozilla Firefox
2012-06-28 15:26 plujan Regression level => Production - QA Approved
2012-06-28 15:59 alostale Web browser Google Chrome, Mozilla Firefox => Google Chrome, Mozilla Firefox
2012-06-28 15:59 alostale Regression date => 2012-05-09
2012-06-28 15:59 alostale Regression introduced by commit => https://code.openbravo.com/erp/devel/pi/rev/7bd897420af5cc6bb4fbb318f7215f67d6c15011 [^]
2012-06-28 16:00 alostale Assigned To alostale => mirurita
2012-06-28 16:00 alostale Relationship added related to 0020350
2012-06-28 16:35 hgbot Checkin
2012-06-28 16:35 hgbot Note Added: 0050258
2012-06-28 16:35 hgbot Status new => resolved
2012-06-28 16:35 hgbot Resolution open => fixed
2012-06-28 16:35 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/54fb97e8175d336fccfc7a29b0fbc618ffb4ec02 [^]
2012-06-28 17:58 plujan Web browser Google Chrome, Mozilla Firefox => Google Chrome, Mozilla Firefox
2012-06-28 17:58 plujan Regression date 2012-05-09 => 2012-03-30
2012-06-28 17:58 plujan Regression introduced by commit https://code.openbravo.com/erp/devel/pi/rev/7bd897420af5cc6bb4fbb318f7215f67d6c15011 [^] => https://code.openbravo.com/erp/devel/pi/rev/94a3373de4b1 [^]
2012-06-28 23:46 plujan Web browser Google Chrome, Mozilla Firefox => Google Chrome, Mozilla Firefox
2012-06-28 23:46 plujan Regression date 2012-03-30 => 2011-03-30
2012-06-29 11:09 plujan Note Added: 0050280
2012-06-30 05:10 hudsonbot Checkin
2012-06-30 05:10 hudsonbot Note Added: 0050293
2012-07-02 11:19 hgbot Checkin
2012-07-02 11:19 hgbot Note Added: 0050308
2012-07-02 11:23 vmromanos Note Added: 0050309
2012-07-02 11:23 vmromanos Status resolved => closed
2012-07-02 11:23 vmromanos Fixed in Version => 3.0MP12.1
2012-07-10 10:35 hudsonbot Checkin
2012-07-10 10:35 hudsonbot Note Added: 0050416


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker